import polynomial, Lagrange, points, Numeric, quadrature, shapes

d = shapes.TETRAHEDRON
m = 3

Q = quadrature.make_quadrature( d , 2 * m + 1 )

#U = polynomial.OrthogonalPolynomialSet( d , m )
U = Lagrange.Lagrange(d,m)
#print Numeric.array( [ [ Q( lambda x: u(x)*v(x) ) for u in U ] \
#                       for v in U ] )
print Numeric.array( [ [ Numeric.dot(u.dof,v.dof) for u in U ] \
                       for v in U ] )

